/*
*  This script defines functions used by BookmarksManagerOverlay.xul
*
* Author: Stphane BERTIN
* http://bookmarkdd.mozdev.org
*
*/

function onLoad(){

    if(UserPrefs.getPref("bool","BookmarksManager.showDuplicatesButton")){
	showDuplicatesButton();
    }

    addSearchMenuList();
}

// Function used to find localized Strings due to restriction of overlay: element in overlay have no ID !!
// Insertion of <stringbundle id="duplicates-strings"/> can't be called !!!!!
/*function searchStringLocalisation(aLabel){
    var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
		.getService(Components.interfaces.nsIWindowMediator);
    var enumerator = wm.getEnumerator("");

    while(enumerator.hasMoreElements()) {
	var win = enumerator.getNext();
	// |win| is [Object ChromeWindow] (just like |window|), do something with it
	var duplicatesStrings=win.document.getElementById("duplicates-strings");
	if(duplicatesStrings) {
	    return duplicatesStrings.getString(aLabel);
	}
    }
    return false;
}*/

//Add BookmarkDD's button in Bookmarks Manager Window
function showDuplicatesButton(){

    var toolbarcommand = document.getElementById("command-toolbar");

    if (!toolbarcommand){
	Bookmarkdd.myDump("Error in Bookmarks manager: 'command-toolbar' not found !");
    } else {
	var buttonlabel = Bookmarkdd.searchStringLocalisation("DupButton.label");
	var buttontooltiptext = Bookmarkdd.searchStringLocalisation("DupButton.tooltiptext");
	if (!buttonlabel || !buttontooltiptext) Bookmarkdd.myDump("Error in Bookmarks manager: Localization not found !");

	var toolbarButton = document.createElement("toolbarbutton");
	toolbarButton.setAttribute("id","toolbarSearchDuplicate");
	toolbarButton.setAttribute("image","chrome://duplicates/skin/duplicates-icon.png");
	toolbarButton.setAttribute("oncommand","Bookmarkdd.searchDuplicateURL();");
	toolbarButton.setAttribute("label",buttonlabel);
	toolbarButton.setAttribute("tooltiptext",buttontooltiptext);

	toolbarcommand.appendChild(toolbarButton);
    }
}

//Function used to add/remove MenuList
function addSearchMenuList(){

    var searchBar = document.getElementById("bookmarks-search");
    if (!searchBar){
	Bookmarkdd.myDump("Error in Bookmarks manager: 'bookmarks-search' not found !");
	return;
    }

    if(!UserPrefs.getPref("bool","BookmarksManager.addSearchMenuList")){
	var searchlabel = document.createElement("label");
	searchlabel.setAttribute("id","search-label");
	searchlabel.setAttribute("hidden",true);
	searchBar.appendChild(searchlabel);

	var menuList = document.createElement("menulist");
	menuList.setAttribute("id","search-in-column");
	menuList.setAttribute("hidden",true);
	searchBar.appendChild(menuList);
    } else {
	document.getElementById("search-box").setAttribute("oncommand","BddsearchBookmarks(this.value);");
	searchBar.addEventListener("ValueChange", BddsearchBookmarks, true);
    }
}
